Bug 152957 - Kernel crashes at at fs/jbd/transaction.c:621
Kernel crashes at at fs/jbd/transaction.c:621
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 07:07 EST by JAN
Modified: 2015-01-04 17:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:42:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JAN 2005-03-31 07:07:16 EST
Description of problem:

Kernel crashes randomly.


Version-Release number of selected component (if applicable):

2.6.10-1.770_FC3smp

How reproducible:

Can't reproduce this, happens randomly.


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Mar 31 13:51:00 linux1 kernel: Assertion failure in do_get_write_access() at 
fs/jbd/transaction.c:621: "jh->b_transaction == journal->j_committin
g_transaction"
Mar 31 13:51:00 linux1 kernel: ------------[ cut here ]------------
Mar 31 13:51:00 linux1 kernel: kernel BUG at fs/jbd/transaction.c:621!
Mar 31 13:51:00 linux1 kernel: invalid operand: 0000 [#1]
Mar 31 13:51:00 linux1 kernel: SMP
Mar 31 13:51:00 linux1 kernel: Modules linked in: md5 ipv6 dm_mod video button 
battery ac ohci_hcd tg3 floppy sg ext3 jbd mptscsih mptbase sd_mod
 scsi_mod
Mar 31 13:51:00 linux1 kernel: CPU:    0
Mar 31 13:51:00 linux1 kernel: EIP:    0060:[<f887da07>]    Not tainted VLI
Mar 31 13:51:00 linux1 kernel: EFLAGS: 00010202   (2.6.10-1.770_FC3smp)
Mar 31 13:51:00 linux1 kernel: EIP is at do_get_write_access+0x269/0x540 [jbd]
Mar 31 13:51:00 linux1 kernel: eax: 00000084   ebx: f79d6600   ecx: d8f15d10   
edx: f8883a4a
Mar 31 13:51:00 linux1 kernel: esi: c2d2344c   edi: cdd452e0   ebp: c2d2344c   
esp: d8f15d0c
Mar 31 13:51:00 linux1 kernel: ds: 007b   es: 007b   ss: 0068
Mar 31 13:51:00 linux1 kernel: Process httpd (pid: 21636, threadinfo=d8f15000 
task=f7be2020)
Mar 31 13:51:00 linux1 kernel: Process httpd (pid: 21636, threadinfo=d8f15000 
task=f7be2020)
Mar 31 13:51:01 linux1 kernel: Stack: f8883a4a f8883617 f8883a35 0000026d 
f8883c3d 00000000 00000000 00000000
Mar 31 13:51:01 linux1 kernel:        f710e900 c31927cc 00000000 cdd452e0 
c0154383 00000000 00000246 00000008
Mar 31 13:51:01 linux1 kernel:        c31927cc 00110080 f7f68280 c01543b0 
00001000 f79c0600 cdd452e0 00000001
Mar 31 13:51:01 linux1 kernel: Call Trace:
Mar 31 13:57:01 linux1 syslogd 1.4.1: restart.


Expected results:


Additional info:
Comment 1 Dave Jones 2005-07-15 16:01:20 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:42:41 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.